All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.exceptionhighlighting
Class ExceptionHighlightingSelectorBQAdapter

    com.sas.dataselectors.exceptionhighlighting.ExceptionHighlightingSelectorBQAdapter

All Implemented Interfaces:
  ExceptionHighlightingSelectorInterface, SelectorCommitInterface, SelectorProcessInterface

Direct Known Subclasses:
  ExceptionHighlightingChartSelectorBQAdapter, OLAPExceptionHighlightingSelectorBQAdapter

    public class ExceptionHighlightingSelectorBQAdapter

implements SelectorCommitInterface, SelectorProcessInterface

BQ implementation of Exception Highlighting Selector adapters.

Since:
  3.1.4

Nested Class Summary

Nested classes/interfaces inherited from class com.sas.dataselectors.exceptionhighlighting.BaseExceptionHighlightingSelectorAdapter
`BaseExceptionHighlightingSelectorAdapter.KeyValueItem`

Field Summary
`protected com.sas.iquery.metadata.business.BusinessQuery` | `dataModel` The data model used by the adapter.
`protected ExceptionHighlightingRemoteScriptingHandler` | `rsHandler`

Fields inherited from class com.sas.dataselectors.exceptionhighlighting.BaseExceptionHighlightingSelectorAdapter
`addAutomaticToFontInfo, isOLAP, locale, RB_KEY, rules`

Fields inherited from interface com.sas.dataselectors.SelectorCommitInterface
`EXCEPTION_OCCURRED`

Fields inherited from interface com.sas.dataselectors.exceptionhighlighting.ExceptionHighlightingSelectorInterface
`AUTOMATIC, CONDITION_BETWEEN, CONDITION_EQUAL, CONDITION_GREATER_THAN, CONDITION_GREATER_THAN_OR_EQUAL, CONDITION_LESS_THAN, CONDITION_LESS_THAN_OR_EQUAL, CONDITION_MISSING_VALUE, CONDITION_NOT_EQUAL`

Constructor Summary
`ExceptionHighlightingSelectorBQAdapter()` Default constructor.

Method Summary
`java.util.Map` | `commit()` Used to commit the changes to the model.
`com.sas.iquery.metadata.business.BusinessQuery` | `getBusinessQuery()` Returns the BusinessQuery
`java.util.Map` | `getMeasureNames()` Returns the list of the names of the measures
`java.lang.Object` | `getModel()` Returns the model that contains the data.
`java.lang.Object` | `getPropertiesBean()`
`java.util.Map` | `process()` Used to update the state of the model.
`void` | `setModel(com.sas.iquery.metadata.business.BusinessQuery model)` Sets the model that contains the data.
`void` | `setModel(java.lang.Object model)` Sets the model that contains the data.

Methods inherited from class com.sas.dataselectors.exceptionhighlighting.BaseExceptionHighlightingSelectorAdapter
`addRule, getColors, getDefaultFont, getDefaultFontSize, getFonts, getFontSizes, getImages, getLevelTreeModel, getLocale, getResultItemMap, getResultItems, getRules, getSupportedConditions, isAddAutomaticToFontInfo, isCompleteImagePath, isOLAP, removeRule, setAddAutomaticToFontInfo, setLocale`

Field Detail

### dataModel

    protected com.sas.iquery.metadata.business.BusinessQuery dataModel

  The data model used by the adapter.

### rsHandler

    protected ExceptionHighlightingRemoteScriptingHandler rsHandler

Constructor Detail

### ExceptionHighlightingSelectorBQAdapter

    public ExceptionHighlightingSelectorBQAdapter()

  Default constructor.

Method Detail

### setModel

    public void setModel(com.sas.iquery.metadata.business.BusinessQuery model)

  Sets the model that contains the data.

### setModel

    public void setModel(java.lang.Object model)

  Sets the model that contains the data.

  Specified by:
    `setModel` in interface `ExceptionHighlightingSelectorInterface`
  Parameters:
    `model` - the model that contains the data.

### getModel

    public java.lang.Object getModel()

  Returns the model that contains the data.

  Specified by:
    `getModel` in interface `ExceptionHighlightingSelectorInterface`
  Returns:
    com.sas.iquery.metadata.business.BusinessQuery the model that contains the data.

### getBusinessQuery

    public com.sas.iquery.metadata.business.BusinessQuery getBusinessQuery()

  Returns the BusinessQuery

  Returns:
    com.sas.iquery.metadata.business.BusinessQuery the model that contains the data.

### getMeasureNames

    public java.util.Map getMeasureNames()

  Description copied from interface: `ExceptionHighlightingSelectorInterface`
  Returns the list of the names of the measures

  Specified by:
    `getMeasureNames` in interface `ExceptionHighlightingSelectorInterface`
  Returns:
    the list of the names of the measures. In the Map there's one element for each measure, for each element in the map its key is the measure label and its value is the measure id

### commit

    public java.util.Map commit()

  Description copied from interface: `SelectorCommitInterface`
  Used to commit the changes to the model.

  Specified by:
    `commit` in interface `SelectorCommitInterface`

### process

    public java.util.Map process()

  Description copied from interface: `SelectorProcessInterface`
  Used to update the state of the model.

  Specified by:
    `process` in interface `SelectorProcessInterface`

### getPropertiesBean

    public java.lang.Object getPropertiesBean()

  Specified by:
    `getPropertiesBean` in interface `SelectorCommitInterface`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.